import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import QtMultimediaKit 1.1

Page
{
	id: cam_page
	
	property int p_id
	p_id:3
	
	
	orientationLock: PageOrientation.LockPortrait
	
	Header
	{
		id: camera_header
		statusText: qsTr("Camera")
	}
	
	Camera
	{
		id : camera
		anchors.margins: 32
		anchors.top: camera_header.bottom
		anchors.left: parent.left
		anchors.right: parent.right
		
		width: 720
		height: 480

		//captureResolution: Qt.size(320,480);
		captureResolution: Qt.size(480,720);
		rotation: 90

		focus : visible //to receive focus and capture key events
		flashMode: Camera.FlashOff

		onImageCaptured :
		{
			//stillControls.previewAvailable = true
			pageStack.find(function(page)
					{
					return page.p_id == "2";
					}
			).decodedText = "";
		}
		onImageSaved:
		{
			//console.log("saved=",path)
			qr_engine.slot_rotateImage(path)
			qr_engine.slot_simpleDecode(path)
			
			pageStack.find(function(page)
			{
				return page.p_id=="2";
			}
			).imgSource = "";
			pageStack.find(function(page)
			{
				return page.p_id == "2";
			}
			).imgSource = path;
			
			pageStack.find(function(page)
					{
					return page.p_id == "2";
					}
			).process(true);
			pageStack.pop();
		}
	}

	Button
	{
		id: btn_capture
		anchors.margins:32
		anchors.top: camera.bottom
		anchors.horizontalCenter: parent.horizontalCenter
		anchors.bottom: parent.bottom
		text: qsTr("Capture")
		onClicked:
		{
			camera.captureImage();
			btn_capture.enabled = false
			waitDialogue.visible = true
			settingTools.enabled = false
		}
	}

	Item
	{
		id: waitDialogue
		visible: false
		anchors.fill: parent;
		z:100
		Rectangle
		{
			id:shaderLayer
			anchors.bottom: parent.bottom
			width: parent.width
			height: parent.height
			color: "darkgray"
			opacity: 0.5
			MouseArea
			{
				anchors.fill: parent
			}
		}
		Item
		{
			anchors.horizontalCenter: parent.horizontalCenter
			anchors.verticalCenter: parent.verticalCenter
			height: 100
			width: 100
			BusyIndicator {
				id: busyindicator
				style: BusyIndicatorStyle { size: "large" }
				running:  true
			}
		}
	}
	
	
	ToolBarLayout
	{
		id: settingTools
		visible: false
		ToolIcon
		{
			iconId: "toolbar-back";
			onClicked:
			{
				pageStack.pop();
			}
		}
	}
	tools: settingTools
}

