import QtQuick 1.1
import com.nokia.meego 1.0
import com.nokia.extras 1.0
import QRCode 1.0

Page
{
	id: edit_page
	property color curColor: "black"
	property alias infoBanner: banner
	property int p_id
	p_id:9
	
	signal colorChanged(int p_cid)
	
	onColorChanged :
	{
		colorPicker.cc0.changeSid(p_cid)
		colorPicker.cc1.changeSid(p_cid)
		colorPicker.cc2.changeSid(p_cid)
		colorPicker.cc3.changeSid(p_cid)
		colorPicker.cc4.changeSid(p_cid)
		colorPicker.cc5.changeSid(p_cid)
		colorPicker.cc6.changeSid(p_cid)
		colorPicker.cc7.changeSid(p_cid)
		colorPicker.cc8.changeSid(p_cid)
		colorPicker.cc9.changeSid(p_cid)
		colorPicker.cc10.changeSid(p_cid)
		colorPicker.cc11.changeSid(p_cid)
	}
	
	orientationLock: PageOrientation.LockPortrait
	
	InfoBanner
	{
		id: banner
		x: 0
		y: 0
		z: 10
		text: qsTr("Saved as xxx.png !");
	}
	
	Header
	{
		id: h_edit
		statusText: qsTr("Editor")
	}
	
	//QR Matrix
	
	EditorItem
	{
		id: qr_plate
		path: qr_engine.getSavePath()
		width: parent.width*7/8
		height: width
		data: qr_engine.getEncodedRawData()
		color: curColor
		anchors
		{
			top: h_edit.bottom
			topMargin: 32
			horizontalCenter: parent.horizontalCenter
		}
		onSignal_saved:
		{
			banner.text = qsTr("Saved as : ")+path
			banner.show();
		}
	}
	
	//Color Picker
	Grid
	{
		id: colorPicker
		width: parent.width - 32
		height: 64
		anchors
		{
			top:qr_plate.bottom
			topMargin: 64
			horizontalCenter: parent.horizontalCenter
		}
		
		rows: 2; columns: 6; spacing: 3
		
		property alias cc0: cc_0
		property alias cc1: cc_1
		property alias cc2: cc_2
		property alias cc3: cc_3
		property alias cc4: cc_4
		property alias cc5: cc_5
		property alias cc6: cc_6
		property alias cc7: cc_7
		property alias cc8: cc_8
		property alias cc9: cc_9
		property alias cc10: cc_10
		property alias cc11: cc_11
		
		ColorCell
		{
			id:cc_0
			cellColor: "black"
			cid: 0
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_1
			cellColor: "white"
			cid: 1
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_2
			cellColor: "red"
			cid: 2
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_3
			cellColor: "orange"
			cid: 3
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_4
			cellColor: "yellow"
			cid: 4
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_5
			cellColor: "green"
			cid: 5
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_6
			cellColor: "cyan";
			cid: 6
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_7
			cellColor: "blue"
			cid: 7
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_8
			cellColor: "purple"
			cid: 8
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_9
			cellColor: "lightGreen"
			cid: 9
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_10
			cellColor: "steelblue"
			cid: 10
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
		ColorCell
		{
			id:cc_11
			cellColor: "Pink"
			cid: 11
			onClicked:
			{
				curColor = cellColor
				colorChanged(cid)
			}
		}
	}
	
	ToolBarLayout
	{
		id: settingTools
		visible: false
		ToolIcon
		{
			iconId: "toolbar-back";
			onClicked:
			{
				pageStack.pop();
			}
		}
		
		ToolIcon
		{
			iconId: "toolbar-directory-move-to"
			onClicked:
			{
				qr_plate.slot_save();
			}
		}
	}
	tools: settingTools
	
	Component.onCompleted : colorChanged(0)
	
}

