import QtQuick 1.1
import com.nokia.meego 1.0
import PhotoPicker 1.0

Page
{
	id: gallery_selector
	
	property int p_id
	p_id:3
	
	orientationLock: PageOrientation.LockPortrait
	
	GridView {
		id: view
		anchors.fill: parent
		model: photomodel
		cellWidth: 160
		cellHeight: 160
		cacheBuffer: 1600
		pressDelay: 100
		maximumFlickVelocity: 3500
		
		delegate: PhotoItem {
			id: item
			url: model.url
			pressed: mouseArea.pressed
			MouseArea {
				id: mouseArea
				anchors.fill: parent
				onClicked:
				{
					qr_engine.slot_simpleDecode(filePath)
					pageStack.find(function(page)
					{
						return page.p_id == "2";
					}
					).imgSource = filePath;
					pageStack.find(function(page)
					{
						return page.p_id == "2";
					}
					).process(true)
					pageStack.pop();
				}
			}
		}
	}
	ToolBarLayout
	{
		id: settingTools
		visible: false
		ToolIcon
		{
			iconId: "toolbar-back";
			onClicked:
			{
				pageStack.pop();
			}
		}
		ToolIcon
		{
			iconId: "icon-m-toolbar-directory"
			onClicked:
			{
				var myPage = Qt.resolvedUrl("FileBox.qml")
				/*myPage.parent = pageStack.find(function(page)
				{
					return page.p_id == "2";
				});*/
				pageStack.replace(myPage)
			}
		}
	}
	tools: settingTools
}
